/************************************************
This script maps the in-line commands of temDM ClickMover
Then, if your system uses another microscope control commands, 
it is easy to correct
************************************************/

/***********************CHECK********************************/

if(!doesfunctionexist("emsetimageshift"))
	{
	result("\nWARNING "+"no image and beam shifts commands found !!");
	}	

void ClickM112_SetImageShift(number ImageShiftX,number ImageShiftY)
	{
	EMSetImageShift(ImageShiftX,ImageShiftY)	
	}

void ClickM112_GetImageShift(number &ImageShiftX,number &ImageShiftY)
	{
	EMgetImageShift(ImageShiftX,ImageShiftY)
	}
	
void ClickM112_ChangeImageShift(number deltaShiftX,number deltaShiftY)
	{	
	EMImageShift(deltaShiftX,deltaShiftY)	
	}


void ClickM112_GetBeamShift(number &BeamShiftX,number &BeamShiftY)
	{	
	EMgetBeamShift(BeamShiftX,BeamShiftY)
	}

void ClickM112_SetBeamShift(number BeamShiftX,number BeamShiftY)
	{	
	EMsetBeamShift(BeamShiftX,BeamShiftY)
	}
	
void ClickM112_ChangeBeamShift(number deltaBeamShiftX,number deltaBeamShiftY)
	{
	EMBeamShift(deltaBeamShiftX,deltaBeamShiftY)
	}